/**
 */
package org.gecko.rsa.rsaprovider.impl;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EDataType;
import org.eclipse.emf.ecore.EObject;
import org.eclipse.emf.ecore.EPackage;

import org.eclipse.emf.ecore.impl.EFactoryImpl;

import org.eclipse.emf.ecore.plugin.EcorePlugin;

import org.gecko.rsa.rsaprovider.*;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model <b>Factory</b>.
 * <!-- end-user-doc -->
 * @generated
 */
public class RSAProviderFactoryImpl extends EFactoryImpl implements RSAProviderFactory {
	/**
	 * Creates the default factory implementation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public static RSAProviderFactory init() {
		try {
			RSAProviderFactory theRSAProviderFactory = (RSAProviderFactory)EPackage.Registry.INSTANCE.getEFactory(RSAProviderPackage.eNS_URI);
			if (theRSAProviderFactory != null) {
				return theRSAProviderFactory;
			}
		}
		catch (Exception exception) {
			EcorePlugin.INSTANCE.log(exception);
		}
		return new RSAProviderFactoryImpl();
	}

	/**
	 * Creates an instance of the factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public RSAProviderFactoryImpl() {
		super();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public EObject create(EClass eClass) {
		switch (eClass.getClassifierID()) {
			case RSAProviderPackage.RSA_REQUEST: return createRSARequest();
			case RSAProviderPackage.RSA_RESPONSE: return createRSAResponse();
			case RSAProviderPackage.EOBJECT_REQUEST_PARAMETER: return createEObjectRequestParameter();
			case RSAProviderPackage.REQUEST_PARAMETER: return createRequestParameter();
			case RSAProviderPackage.ECOLLECTION_HOLDER: return createECollectionHolder();
			case RSAProviderPackage.EMULTI_VALUE_HOLDER: return createEMultiValueHolder();
			case RSAProviderPackage.EMULTI_VALUE_ENTRY: return createEMultiValueEntry();
			default:
				throw new IllegalArgumentException("The class '" + eClass.getName() + "' is not a valid classifier");
		}
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Object createFromString(EDataType eDataType, String initialValue) {
		switch (eDataType.getClassifierID()) {
			case RSAProviderPackage.RESPONSE_CODE_TYPE:
				return createResponseCodeTypeFromString(eDataType, initialValue);
			case RSAProviderPackage.THROWABLE:
				return createThrowableFromString(eDataType, initialValue);
			default:
				throw new IllegalArgumentException("The datatype '" + eDataType.getName() + "' is not a valid classifier");
		}
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String convertToString(EDataType eDataType, Object instanceValue) {
		switch (eDataType.getClassifierID()) {
			case RSAProviderPackage.RESPONSE_CODE_TYPE:
				return convertResponseCodeTypeToString(eDataType, instanceValue);
			case RSAProviderPackage.THROWABLE:
				return convertThrowableToString(eDataType, instanceValue);
			default:
				throw new IllegalArgumentException("The datatype '" + eDataType.getName() + "' is not a valid classifier");
		}
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public RSARequest createRSARequest() {
		RSARequestImpl rsaRequest = new RSARequestImpl();
		return rsaRequest;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public RSAResponse createRSAResponse() {
		RSAResponseImpl rsaResponse = new RSAResponseImpl();
		return rsaResponse;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EObjectRequestParameter createEObjectRequestParameter() {
		EObjectRequestParameterImpl eObjectRequestParameter = new EObjectRequestParameterImpl();
		return eObjectRequestParameter;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public RequestParameter createRequestParameter() {
		RequestParameterImpl requestParameter = new RequestParameterImpl();
		return requestParameter;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ECollectionHolder createECollectionHolder() {
		ECollectionHolderImpl eCollectionHolder = new ECollectionHolderImpl();
		return eCollectionHolder;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EMultiValueHolder createEMultiValueHolder() {
		EMultiValueHolderImpl eMultiValueHolder = new EMultiValueHolderImpl();
		return eMultiValueHolder;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EMultiValueEntry createEMultiValueEntry() {
		EMultiValueEntryImpl eMultiValueEntry = new EMultiValueEntryImpl();
		return eMultiValueEntry;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ResponseCodeType createResponseCodeTypeFromString(EDataType eDataType, String initialValue) {
		ResponseCodeType result = ResponseCodeType.get(initialValue);
		if (result == null) throw new IllegalArgumentException("The value '" + initialValue + "' is not a valid enumerator of '" + eDataType.getName() + "'");
		return result;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String convertResponseCodeTypeToString(EDataType eDataType, Object instanceValue) {
		return instanceValue == null ? null : instanceValue.toString();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Throwable createThrowableFromString(EDataType eDataType, String initialValue) {
		return (Throwable)super.createFromString(eDataType, initialValue);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String convertThrowableToString(EDataType eDataType, Object instanceValue) {
		return super.convertToString(eDataType, instanceValue);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public RSAProviderPackage getRSAProviderPackage() {
		return (RSAProviderPackage)getEPackage();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @deprecated
	 * @generated
	 */
	@Deprecated
	public static RSAProviderPackage getPackage() {
		return RSAProviderPackage.eINSTANCE;
	}

} //RSAProviderFactoryImpl
