/**
 */
package org.gecko.rsa.rsaprovider.impl;

import org.eclipse.emf.ecore.EAttribute;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EDataType;
import org.eclipse.emf.ecore.EEnum;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.EReference;

import org.eclipse.emf.ecore.impl.EPackageImpl;

import org.gecko.rsa.rsaprovider.ECollectionHolder;
import org.gecko.rsa.rsaprovider.EMultiValueEntry;
import org.gecko.rsa.rsaprovider.EMultiValueHolder;
import org.gecko.rsa.rsaprovider.EObjectRequestParameter;
import org.gecko.rsa.rsaprovider.RSAProviderFactory;
import org.gecko.rsa.rsaprovider.RSAProviderPackage;
import org.gecko.rsa.rsaprovider.RSARequest;
import org.gecko.rsa.rsaprovider.RSAResponse;
import org.gecko.rsa.rsaprovider.RequestParameter;
import org.gecko.rsa.rsaprovider.ResponseCodeType;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model <b>Package</b>.
 * <!-- end-user-doc -->
 * @generated
 */
public class RSAProviderPackageImpl extends EPackageImpl implements RSAProviderPackage {
	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass rsaRequestEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass rsaResponseEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass eObjectRequestParameterEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass requestParameterEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass eCollectionHolderEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass eMultiValueHolderEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass eMultiValueEntryEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EEnum responseCodeTypeEEnum = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EDataType throwableEDataType = null;

	/**
	 * Creates an instance of the model <b>Package</b>, registered with
	 * {@link org.eclipse.emf.ecore.EPackage.Registry EPackage.Registry} by the package
	 * package URI value.
	 * <p>Note: the correct way to create the package is via the static
	 * factory method {@link #init init()}, which also performs
	 * initialization of the package, or returns the registered package,
	 * if one already exists.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.emf.ecore.EPackage.Registry
	 * @see org.gecko.rsa.rsaprovider.RSAProviderPackage#eNS_URI
	 * @see #init()
	 * @generated
	 */
	private RSAProviderPackageImpl() {
		super(eNS_URI, RSAProviderFactory.eINSTANCE);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private static boolean isInited = false;

	/**
	 * Creates, registers, and initializes the <b>Package</b> for this model, and for any others upon which it depends.
	 *
	 * <p>This method is used to initialize {@link RSAProviderPackage#eINSTANCE} when that field is accessed.
	 * Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #eNS_URI
	 * @see #createPackageContents()
	 * @see #initializePackageContents()
	 * @generated
	 */
	public static RSAProviderPackage init() {
		if (isInited) return (RSAProviderPackage)EPackage.Registry.INSTANCE.getEPackage(RSAProviderPackage.eNS_URI);

		// Obtain or create and register package
		Object registeredRSAProviderPackage = EPackage.Registry.INSTANCE.get(eNS_URI);
		RSAProviderPackageImpl theRSAProviderPackage = registeredRSAProviderPackage instanceof RSAProviderPackageImpl ? (RSAProviderPackageImpl)registeredRSAProviderPackage : new RSAProviderPackageImpl();

		isInited = true;

		// Create package meta-data objects
		theRSAProviderPackage.createPackageContents();

		// Initialize created meta-data
		theRSAProviderPackage.initializePackageContents();

		// Mark meta-data to indicate it can't be changed
		theRSAProviderPackage.freeze();

		// Update the registry and return the package
		EPackage.Registry.INSTANCE.put(RSAProviderPackage.eNS_URI, theRSAProviderPackage);
		return theRSAProviderPackage;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getRSARequest() {
		return rsaRequestEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getRSARequest_Id() {
		return (EAttribute)rsaRequestEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getRSARequest_Response() {
		return (EReference)rsaRequestEClass.getEStructuralFeatures().get(1);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getRSARequest_ServiceName() {
		return (EAttribute)rsaRequestEClass.getEStructuralFeatures().get(2);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getRSARequest_Parameter() {
		return (EReference)rsaRequestEClass.getEStructuralFeatures().get(3);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getRSAResponse() {
		return rsaResponseEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getRSAResponse_Id() {
		return (EAttribute)rsaResponseEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getRSAResponse_Request() {
		return (EReference)rsaResponseEClass.getEStructuralFeatures().get(1);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getRSAResponse_Code() {
		return (EAttribute)rsaResponseEClass.getEStructuralFeatures().get(2);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getRSAResponse_ErrorCause() {
		return (EAttribute)rsaResponseEClass.getEStructuralFeatures().get(3);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getRSAResponse_ErrorText() {
		return (EAttribute)rsaResponseEClass.getEStructuralFeatures().get(4);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getRSAResponse_Object() {
		return (EAttribute)rsaResponseEClass.getEStructuralFeatures().get(5);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getRSAResponse_EObjectResult() {
		return (EAttribute)rsaResponseEClass.getEStructuralFeatures().get(6);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getRSAResponse_VoidResult() {
		return (EAttribute)rsaResponseEClass.getEStructuralFeatures().get(7);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getRSAResponse_EObject() {
		return (EReference)rsaResponseEClass.getEStructuralFeatures().get(8);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getEObjectRequestParameter() {
		return eObjectRequestParameterEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getEObjectRequestParameter_EObject() {
		return (EReference)eObjectRequestParameterEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getRequestParameter() {
		return requestParameterEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getRequestParameter_Number() {
		return (EAttribute)requestParameterEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getRequestParameter_Object() {
		return (EAttribute)requestParameterEClass.getEStructuralFeatures().get(1);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getECollectionHolder() {
		return eCollectionHolderEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getECollectionHolder_ListType() {
		return (EAttribute)eCollectionHolderEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getECollectionHolder_Object() {
		return (EReference)eCollectionHolderEClass.getEStructuralFeatures().get(1);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getEMultiValueHolder() {
		return eMultiValueHolderEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getEMultiValueHolder_ListType() {
		return (EAttribute)eMultiValueHolderEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getEMultiValueHolder_Value() {
		return (EReference)eMultiValueHolderEClass.getEStructuralFeatures().get(1);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getEMultiValueHolder_Map() {
		return (EAttribute)eMultiValueHolderEClass.getEStructuralFeatures().get(2);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getEMultiValueHolder_Array() {
		return (EAttribute)eMultiValueHolderEClass.getEStructuralFeatures().get(3);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getEMultiValueEntry() {
		return eMultiValueEntryEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getEMultiValueEntry_KeyObject() {
		return (EAttribute)eMultiValueEntryEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getEMultiValueEntry_KeyEObject() {
		return (EReference)eMultiValueEntryEClass.getEStructuralFeatures().get(1);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getEMultiValueEntry_KeyType() {
		return (EAttribute)eMultiValueEntryEClass.getEStructuralFeatures().get(2);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getEMultiValueEntry_ValueObject() {
		return (EAttribute)eMultiValueEntryEClass.getEStructuralFeatures().get(3);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getEMultiValueEntry_ValueEObject() {
		return (EReference)eMultiValueEntryEClass.getEStructuralFeatures().get(4);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getEMultiValueEntry_ValueType() {
		return (EAttribute)eMultiValueEntryEClass.getEStructuralFeatures().get(5);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getEMultiValueEntry_Index() {
		return (EAttribute)eMultiValueEntryEClass.getEStructuralFeatures().get(6);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getEMultiValueEntry_Key() {
		return (EAttribute)eMultiValueEntryEClass.getEStructuralFeatures().get(7);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EEnum getResponseCodeType() {
		return responseCodeTypeEEnum;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EDataType getThrowable() {
		return throwableEDataType;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public RSAProviderFactory getRSAProviderFactory() {
		return (RSAProviderFactory)getEFactoryInstance();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private boolean isCreated = false;

	/**
	 * Creates the meta-model objects for the package.  This method is
	 * guarded to have no affect on any invocation but its first.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void createPackageContents() {
		if (isCreated) return;
		isCreated = true;

		// Create classes and their features
		rsaRequestEClass = createEClass(RSA_REQUEST);
		createEAttribute(rsaRequestEClass, RSA_REQUEST__ID);
		createEReference(rsaRequestEClass, RSA_REQUEST__RESPONSE);
		createEAttribute(rsaRequestEClass, RSA_REQUEST__SERVICE_NAME);
		createEReference(rsaRequestEClass, RSA_REQUEST__PARAMETER);

		rsaResponseEClass = createEClass(RSA_RESPONSE);
		createEAttribute(rsaResponseEClass, RSA_RESPONSE__ID);
		createEReference(rsaResponseEClass, RSA_RESPONSE__REQUEST);
		createEAttribute(rsaResponseEClass, RSA_RESPONSE__CODE);
		createEAttribute(rsaResponseEClass, RSA_RESPONSE__ERROR_CAUSE);
		createEAttribute(rsaResponseEClass, RSA_RESPONSE__ERROR_TEXT);
		createEAttribute(rsaResponseEClass, RSA_RESPONSE__OBJECT);
		createEAttribute(rsaResponseEClass, RSA_RESPONSE__EOBJECT_RESULT);
		createEAttribute(rsaResponseEClass, RSA_RESPONSE__VOID_RESULT);
		createEReference(rsaResponseEClass, RSA_RESPONSE__EOBJECT);

		eObjectRequestParameterEClass = createEClass(EOBJECT_REQUEST_PARAMETER);
		createEReference(eObjectRequestParameterEClass, EOBJECT_REQUEST_PARAMETER__EOBJECT);

		requestParameterEClass = createEClass(REQUEST_PARAMETER);
		createEAttribute(requestParameterEClass, REQUEST_PARAMETER__NUMBER);
		createEAttribute(requestParameterEClass, REQUEST_PARAMETER__OBJECT);

		eCollectionHolderEClass = createEClass(ECOLLECTION_HOLDER);
		createEAttribute(eCollectionHolderEClass, ECOLLECTION_HOLDER__LIST_TYPE);
		createEReference(eCollectionHolderEClass, ECOLLECTION_HOLDER__OBJECT);

		eMultiValueHolderEClass = createEClass(EMULTI_VALUE_HOLDER);
		createEAttribute(eMultiValueHolderEClass, EMULTI_VALUE_HOLDER__LIST_TYPE);
		createEReference(eMultiValueHolderEClass, EMULTI_VALUE_HOLDER__VALUE);
		createEAttribute(eMultiValueHolderEClass, EMULTI_VALUE_HOLDER__MAP);
		createEAttribute(eMultiValueHolderEClass, EMULTI_VALUE_HOLDER__ARRAY);

		eMultiValueEntryEClass = createEClass(EMULTI_VALUE_ENTRY);
		createEAttribute(eMultiValueEntryEClass, EMULTI_VALUE_ENTRY__KEY_OBJECT);
		createEReference(eMultiValueEntryEClass, EMULTI_VALUE_ENTRY__KEY_EOBJECT);
		createEAttribute(eMultiValueEntryEClass, EMULTI_VALUE_ENTRY__KEY_TYPE);
		createEAttribute(eMultiValueEntryEClass, EMULTI_VALUE_ENTRY__VALUE_OBJECT);
		createEReference(eMultiValueEntryEClass, EMULTI_VALUE_ENTRY__VALUE_EOBJECT);
		createEAttribute(eMultiValueEntryEClass, EMULTI_VALUE_ENTRY__VALUE_TYPE);
		createEAttribute(eMultiValueEntryEClass, EMULTI_VALUE_ENTRY__INDEX);
		createEAttribute(eMultiValueEntryEClass, EMULTI_VALUE_ENTRY__KEY);

		// Create enums
		responseCodeTypeEEnum = createEEnum(RESPONSE_CODE_TYPE);

		// Create data types
		throwableEDataType = createEDataType(THROWABLE);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private boolean isInitialized = false;

	/**
	 * Complete the initialization of the package and its meta-model.  This
	 * method is guarded to have no affect on any invocation but its first.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void initializePackageContents() {
		if (isInitialized) return;
		isInitialized = true;

		// Initialize package
		setName(eNAME);
		setNsPrefix(eNS_PREFIX);
		setNsURI(eNS_URI);

		// Create type parameters

		// Set bounds for type parameters

		// Add supertypes to classes
		eObjectRequestParameterEClass.getESuperTypes().add(this.getRequestParameter());

		// Initialize classes, features, and operations; add parameters
		initEClass(rsaRequestEClass, RSARequest.class, "RSARequest", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEAttribute(getRSARequest_Id(), ecorePackage.getEString(), "id", null, 0, 1, RSARequest.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getRSARequest_Response(), this.getRSAResponse(), this.getRSAResponse_Request(), "response", null, 0, 1, RSARequest.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		getRSARequest_Response().getEKeys().add(this.getRSAResponse_Id());
		initEAttribute(getRSARequest_ServiceName(), ecorePackage.getEString(), "serviceName", null, 1, 1, RSARequest.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getRSARequest_Parameter(), this.getRequestParameter(), null, "parameter", null, 0, -1, RSARequest.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		getRSARequest_Parameter().getEKeys().add(this.getRequestParameter_Number());

		initEClass(rsaResponseEClass, RSAResponse.class, "RSAResponse", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEAttribute(getRSAResponse_Id(), ecorePackage.getEString(), "id", null, 0, 1, RSAResponse.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getRSAResponse_Request(), this.getRSARequest(), this.getRSARequest_Response(), "request", null, 0, 1, RSAResponse.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		getRSAResponse_Request().getEKeys().add(this.getRSARequest_Id());
		initEAttribute(getRSAResponse_Code(), this.getResponseCodeType(), "code", null, 0, 1, RSAResponse.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEAttribute(getRSAResponse_ErrorCause(), ecorePackage.getEJavaObject(), "errorCause", null, 0, 1, RSAResponse.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEAttribute(getRSAResponse_ErrorText(), ecorePackage.getEString(), "errorText", null, 0, 1, RSAResponse.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEAttribute(getRSAResponse_Object(), ecorePackage.getEJavaObject(), "object", null, 0, 1, RSAResponse.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEAttribute(getRSAResponse_EObjectResult(), ecorePackage.getEBoolean(), "eObjectResult", null, 0, 1, RSAResponse.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, IS_DERIVED, IS_ORDERED);
		initEAttribute(getRSAResponse_VoidResult(), ecorePackage.getEBoolean(), "voidResult", "false", 0, 1, RSAResponse.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getRSAResponse_EObject(), ecorePackage.getEObject(), null, "eObject", null, 0, 1, RSAResponse.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

		initEClass(eObjectRequestParameterEClass, EObjectRequestParameter.class, "EObjectRequestParameter", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEReference(getEObjectRequestParameter_EObject(), ecorePackage.getEObject(), null, "eObject", null, 0, 1, EObjectRequestParameter.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

		initEClass(requestParameterEClass, RequestParameter.class, "RequestParameter", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEAttribute(getRequestParameter_Number(), ecorePackage.getEInt(), "number", null, 0, 1, RequestParameter.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEAttribute(getRequestParameter_Object(), ecorePackage.getEJavaObject(), "object", null, 0, 1, RequestParameter.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

		initEClass(eCollectionHolderEClass, ECollectionHolder.class, "ECollectionHolder", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEAttribute(getECollectionHolder_ListType(), ecorePackage.getEString(), "listType", null, 1, 1, ECollectionHolder.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getECollectionHolder_Object(), ecorePackage.getEObject(), null, "object", null, 0, -1, ECollectionHolder.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

		initEClass(eMultiValueHolderEClass, EMultiValueHolder.class, "EMultiValueHolder", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEAttribute(getEMultiValueHolder_ListType(), ecorePackage.getEString(), "listType", null, 1, 1, EMultiValueHolder.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getEMultiValueHolder_Value(), this.getEMultiValueEntry(), null, "value", null, 0, -1, EMultiValueHolder.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEAttribute(getEMultiValueHolder_Map(), ecorePackage.getEBoolean(), "map", "false", 0, 1, EMultiValueHolder.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEAttribute(getEMultiValueHolder_Array(), ecorePackage.getEBoolean(), "array", "false", 0, 1, EMultiValueHolder.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

		initEClass(eMultiValueEntryEClass, EMultiValueEntry.class, "EMultiValueEntry", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEAttribute(getEMultiValueEntry_KeyObject(), ecorePackage.getEJavaObject(), "keyObject", null, 0, 1, EMultiValueEntry.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getEMultiValueEntry_KeyEObject(), ecorePackage.getEObject(), null, "keyEObject", null, 0, 1, EMultiValueEntry.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEAttribute(getEMultiValueEntry_KeyType(), ecorePackage.getEString(), "keyType", null, 0, 1, EMultiValueEntry.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEAttribute(getEMultiValueEntry_ValueObject(), ecorePackage.getEJavaObject(), "valueObject", null, 0, 1, EMultiValueEntry.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getEMultiValueEntry_ValueEObject(), ecorePackage.getEObject(), null, "valueEObject", null, 0, 1, EMultiValueEntry.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEAttribute(getEMultiValueEntry_ValueType(), ecorePackage.getEString(), "valueType", null, 0, 1, EMultiValueEntry.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEAttribute(getEMultiValueEntry_Index(), ecorePackage.getEInt(), "index", null, 0, 1, EMultiValueEntry.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEAttribute(getEMultiValueEntry_Key(), ecorePackage.getEBoolean(), "key", null, 0, 1, EMultiValueEntry.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

		// Initialize enums and add enum literals
		initEEnum(responseCodeTypeEEnum, ResponseCodeType.class, "ResponseCodeType");
		addEEnumLiteral(responseCodeTypeEEnum, ResponseCodeType.OK);
		addEEnumLiteral(responseCodeTypeEEnum, ResponseCodeType.TIMED_OUT);
		addEEnumLiteral(responseCodeTypeEEnum, ResponseCodeType.RSA_ERROR);
		addEEnumLiteral(responseCodeTypeEEnum, ResponseCodeType.APPLICATION_ERROR);
		addEEnumLiteral(responseCodeTypeEEnum, ResponseCodeType.OTHER);

		// Initialize data types
		initEDataType(throwableEDataType, Throwable.class, "Throwable", IS_SERIALIZABLE, !IS_GENERATED_INSTANCE_CLASS);

		// Create resource
		createResource(eNS_URI);
	}

} //RSAProviderPackageImpl
