/**
 */
package org.gecko.rsa.rsaprovider.util;

import org.eclipse.emf.common.notify.Adapter;
import org.eclipse.emf.common.notify.Notifier;

import org.eclipse.emf.common.notify.impl.AdapterFactoryImpl;

import org.eclipse.emf.ecore.EObject;

import org.gecko.rsa.rsaprovider.*;

/**
 * <!-- begin-user-doc -->
 * The <b>Adapter Factory</b> for the model.
 * It provides an adapter <code>createXXX</code> method for each class of the model.
 * <!-- end-user-doc -->
 * @see org.gecko.rsa.rsaprovider.RSAProviderPackage
 * @generated
 */
public class RSAProviderAdapterFactory extends AdapterFactoryImpl {
	/**
	 * The cached model package.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected static RSAProviderPackage modelPackage;

	/**
	 * Creates an instance of the adapter factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public RSAProviderAdapterFactory() {
		if (modelPackage == null) {
			modelPackage = RSAProviderPackage.eINSTANCE;
		}
	}

	/**
	 * Returns whether this factory is applicable for the type of the object.
	 * <!-- begin-user-doc -->
	 * This implementation returns <code>true</code> if the object is either the model's package or is an instance object of the model.
	 * <!-- end-user-doc -->
	 * @return whether this factory is applicable for the type of the object.
	 * @generated
	 */
	@Override
	public boolean isFactoryForType(Object object) {
		if (object == modelPackage) {
			return true;
		}
		if (object instanceof EObject) {
			return ((EObject)object).eClass().getEPackage() == modelPackage;
		}
		return false;
	}

	/**
	 * The switch that delegates to the <code>createXXX</code> methods.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected RSAProviderSwitch<Adapter> modelSwitch =
		new RSAProviderSwitch<Adapter>() {
			@Override
			public Adapter caseRSARequest(RSARequest object) {
				return createRSARequestAdapter();
			}
			@Override
			public Adapter caseRSAResponse(RSAResponse object) {
				return createRSAResponseAdapter();
			}
			@Override
			public Adapter caseEObjectRequestParameter(EObjectRequestParameter object) {
				return createEObjectRequestParameterAdapter();
			}
			@Override
			public Adapter caseRequestParameter(RequestParameter object) {
				return createRequestParameterAdapter();
			}
			@Override
			public Adapter caseECollectionHolder(ECollectionHolder object) {
				return createECollectionHolderAdapter();
			}
			@Override
			public Adapter caseEMultiValueHolder(EMultiValueHolder object) {
				return createEMultiValueHolderAdapter();
			}
			@Override
			public Adapter caseEMultiValueEntry(EMultiValueEntry object) {
				return createEMultiValueEntryAdapter();
			}
			@Override
			public Adapter defaultCase(EObject object) {
				return createEObjectAdapter();
			}
		};

	/**
	 * Creates an adapter for the <code>target</code>.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param target the object to adapt.
	 * @return the adapter for the <code>target</code>.
	 * @generated
	 */
	@Override
	public Adapter createAdapter(Notifier target) {
		return modelSwitch.doSwitch((EObject)target);
	}


	/**
	 * Creates a new adapter for an object of class '{@link org.gecko.rsa.rsaprovider.RSARequest <em>RSA Request</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.gecko.rsa.rsaprovider.RSARequest
	 * @generated
	 */
	public Adapter createRSARequestAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.gecko.rsa.rsaprovider.RSAResponse <em>RSA Response</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.gecko.rsa.rsaprovider.RSAResponse
	 * @generated
	 */
	public Adapter createRSAResponseAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.gecko.rsa.rsaprovider.EObjectRequestParameter <em>EObject Request Parameter</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.gecko.rsa.rsaprovider.EObjectRequestParameter
	 * @generated
	 */
	public Adapter createEObjectRequestParameterAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.gecko.rsa.rsaprovider.RequestParameter <em>Request Parameter</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.gecko.rsa.rsaprovider.RequestParameter
	 * @generated
	 */
	public Adapter createRequestParameterAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.gecko.rsa.rsaprovider.ECollectionHolder <em>ECollection Holder</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.gecko.rsa.rsaprovider.ECollectionHolder
	 * @generated
	 */
	public Adapter createECollectionHolderAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.gecko.rsa.rsaprovider.EMultiValueHolder <em>EMulti Value Holder</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.gecko.rsa.rsaprovider.EMultiValueHolder
	 * @generated
	 */
	public Adapter createEMultiValueHolderAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.gecko.rsa.rsaprovider.EMultiValueEntry <em>EMulti Value Entry</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.gecko.rsa.rsaprovider.EMultiValueEntry
	 * @generated
	 */
	public Adapter createEMultiValueEntryAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for the default case.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @generated
	 */
	public Adapter createEObjectAdapter() {
		return null;
	}

} //RSAProviderAdapterFactory
